%define upstream_name    Dist-Zilla-Plugin-FileKeywords
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Standard Keywords plugin
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(English)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This plugin is a file_munger. It processes a list of files (by default all
files in the distribution) and replaces all occurances of known keywords
with their expansions.

It does this is in a manner similar to how Subversion manages keywords. In
particular it looks for keywords in the forms:

  $$KEYWORD$$
  $$KEYWORD: Stuff $$
  $$KEYWORD::    Stuff $$

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc CHANGES META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 14 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 71125
- imported package perl-Dist-Zilla-Plugin-FileKeywords


* Mon Mar 14 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
